#include <bits/stdc++.h>

using namespace std;


long long nzd(long long a, long long b){
    if(b==0)return a; 
    return nzd(b,a%b);     
} 
long long nzs(long long a, long long b){ 
    return (a*b)/nzd(a,b);  
 }  

int main(){
	
    ios::sync_with_stdio(0);
    cin.tie(0);
    
    
    long long i=0, j=0, levo=0, desno=0, br=0;
    long long p=0, q=0, r=0;
    
	cin>>p>>q>>r>>levo>>desno;
	float harmonija=((1/(float)p) + (1/(float)q)  + (1/(float)r) );

	if(harmonija>1){
		cout<<0;

	}
	else if(harmonija==1){
		long long nnzs = nzs(nzs(p,q),r);
		cout<<floor((float)desno/nnzs)-floor((float)(levo-1)/nnzs);
	}
	
	else if(harmonija<1){
		long long mini=min((desno-levo+1),(long long)1000000);
		for(int i=levo; i<=(levo+mini-1);i++){
		
			if((ceil((float)i/p)+ceil((float)i/q)+ceil((float)i/r))<=i)br++;	
		}
		if((desno-levo+1)>(1000000)){
			br+=(desno-levo+1-1000000);
		}
			cout<<br;
	}

	return 0;
}